Bug 143070 - [UPDATE] database/gadfly fix for working with python 2.6
Summary: [UPDATE] database/gadfly fix for working with python 2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-21 21:40 UTC by Edmondas Girkantas
Modified: 2010-01-25 09:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.93 KB, patch)
2010-01-21 21:40 UTC, Edmondas Girkantas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Edmondas Girkantas 2010-01-21 21:40:04 UTC
bindings.py file uses reserved word "as" and it should be renamed, because this database library will not work on system with python 2.6

Fix: apply given patch

Patch attached with submission follows:
How-To-Repeat: try to run gfplus utility:

big# gfplus
/usr/local/lib/python2.6/site-packages/gadfly/store.py:11: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import sys, os, md5, types, marshal

gfplus $Revision: 1.6 $ -- Interactive gadfly shell  [readline]

Thursday January 21, 2010 11:24 PM
Using: 
DB Name: test
DB Location: .
Traceback (most recent call last):
  File "/usr/local/bin/gfplus", line 3, in <module>
    main()
  File "/usr/local/lib/python2.6/site-packages/gadfly/scripts/gfplus.py", line 269, in main
    shell = GadflyShell()
  File "/usr/local/lib/python2.6/site-packages/gadfly/scripts/gfplus.py", line 124, in __init__
    self.db = gadfly.gadfly(dbase,loc)
  File "/usr/local/lib/python2.6/site-packages/gadfly/database.py", line 26, in __init__
    from gadfly import sql, bindings
  File "/usr/local/lib/python2.6/site-packages/gadfly/bindings.py", line 64
    [create, view, name, namelist, as, selection] = l
                                    ^
SyntaxError: invalid syntax
Comment 1 Martin Wilke freebsd_committer 2010-01-21 22:10:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-01-25 08:55:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-01-25 08:55:49 UTC
miwi        2010-01-25 08:55:35 UTC

  FreeBSD ports repository

  Modified files:
    databases/gadfly     Makefile pkg-plist 
  Added files:
    databases/gadfly/files patch-bindngs 
  Log:
  - Fix work with py 2.6
  
  PR:             143070
  Submitted by:   Edmondas Girkantas <eg@fbsd.lt>
  
  Revision  Changes    Path
  1.18      +1 -1      ports/databases/gadfly/Makefile
  1.1       +34 -0     ports/databases/gadfly/files/patch-bindngs (new)
  1.8       +2 -0      ports/databases/gadfly/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"